# Follow an OTC transaction

> confirmed once it has landed; err says in words why it failed (nothing moves when it fails). ?index=1 also updates the offer list.


`GET https://payday.direct/api/otc/confirm/{sig}`

`confirmed` once it has landed; `err` says in words why it failed (nothing moves when it fails). `?index=1` also updates the offer list.

## Parameters

- `sig` (path, string, required): From POST /otc/send
- `index` (query, "1"): Also update the offer list from it once confirmed

## Responses

- 200: OK

```json
{
  "ok": true,
  "confirmed": true,
  "err": null,
  "errCode": null
}
```

## Example

```bash
curl "https://payday.direct/api/otc/confirm/SIG"
```